Skip to main content
POST
/
action
/
search_linkedin_posts_by_keyword
Search LinkedIn Posts by Keyword
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/search_linkedin_posts_by_keyword \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": "<string>",
  "output_variable_name": "linkedin_posts",
  "recency": "Day",
  "min_likes": "0"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
keywords
string
required

Enter comma-separated keywords to search for in LinkedIn posts, such as 'artificial intelligence, machine learning' or 'SaaS growth strategy'

output_variable_name
string
default:linkedin_posts
required

Assign a variable name to store the search results, such as 'linkedin_posts' or 'post_results'.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
recency
enum<string>

Filter posts by how recent they are. Leave empty for all time.

Available options:
Day,
Week,
Month,
Quarter,
HalfYear,
Year
min_likes
string
default:0

Only include posts with at least this many likes. Set to 0 to include all posts.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action